package com.fjs.scenic.entity.good;

public class TicketRule {
    private Integer goodsId;

    private Integer bookadvanceday;

    private String bookadvancetime;

    private Integer useadvancehour;

    private Integer autocanceltime;

    private String bookpersontype;

    private String paymenttype;

    private Integer visitpersonrequiredforquantity;

    private String etickettype;

    private String smstemplet;

    private Integer daysafterusedatevalid;

    private String validtype;

    private String canoverduerefund;

    private String canrefund;

    private String refundapplytimebeforevalidendday;

    private Integer refundcharge;

    private String refundchargetype;

    public TicketRule(Integer goodsId, Integer bookadvanceday, String bookadvancetime, Integer useadvancehour, Integer autocanceltime, String bookpersontype, String paymenttype, Integer visitpersonrequiredforquantity, String etickettype, String smstemplet, Integer daysafterusedatevalid, String validtype, String canoverduerefund, String canrefund, String refundapplytimebeforevalidendday, Integer refundcharge, String refundchargetype) {
        this.goodsId = goodsId;
        this.bookadvanceday = bookadvanceday;
        this.bookadvancetime = bookadvancetime;
        this.useadvancehour = useadvancehour;
        this.autocanceltime = autocanceltime;
        this.bookpersontype = bookpersontype;
        this.paymenttype = paymenttype;
        this.visitpersonrequiredforquantity = visitpersonrequiredforquantity;
        this.etickettype = etickettype;
        this.smstemplet = smstemplet;
        this.daysafterusedatevalid = daysafterusedatevalid;
        this.validtype = validtype;
        this.canoverduerefund = canoverduerefund;
        this.canrefund = canrefund;
        this.refundapplytimebeforevalidendday = refundapplytimebeforevalidendday;
        this.refundcharge = refundcharge;
        this.refundchargetype = refundchargetype;
    }

    public TicketRule() {
        super();
    }

    public Integer getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    public Integer getBookadvanceday() {
        return bookadvanceday;
    }

    public void setBookadvanceday(Integer bookadvanceday) {
        this.bookadvanceday = bookadvanceday;
    }

    public String getBookadvancetime() {
        return bookadvancetime;
    }

    public void setBookadvancetime(String bookadvancetime) {
        this.bookadvancetime = bookadvancetime == null ? null : bookadvancetime.trim();
    }

    public Integer getUseadvancehour() {
        return useadvancehour;
    }

    public void setUseadvancehour(Integer useadvancehour) {
        this.useadvancehour = useadvancehour;
    }

    public Integer getAutocanceltime() {
        return autocanceltime;
    }

    public void setAutocanceltime(Integer autocanceltime) {
        this.autocanceltime = autocanceltime;
    }

    public String getBookpersontype() {
        return bookpersontype;
    }

    public void setBookpersontype(String bookpersontype) {
        this.bookpersontype = bookpersontype == null ? null : bookpersontype.trim();
    }

    public String getPaymenttype() {
        return paymenttype;
    }

    public void setPaymenttype(String paymenttype) {
        this.paymenttype = paymenttype == null ? null : paymenttype.trim();
    }

    public Integer getVisitpersonrequiredforquantity() {
        return visitpersonrequiredforquantity;
    }

    public void setVisitpersonrequiredforquantity(Integer visitpersonrequiredforquantity) {
        this.visitpersonrequiredforquantity = visitpersonrequiredforquantity;
    }

    public String getEtickettype() {
        return etickettype;
    }

    public void setEtickettype(String etickettype) {
        this.etickettype = etickettype == null ? null : etickettype.trim();
    }

    public String getSmstemplet() {
        return smstemplet;
    }

    public void setSmstemplet(String smstemplet) {
        this.smstemplet = smstemplet == null ? null : smstemplet.trim();
    }

    public Integer getDaysafterusedatevalid() {
        return daysafterusedatevalid;
    }

    public void setDaysafterusedatevalid(Integer daysafterusedatevalid) {
        this.daysafterusedatevalid = daysafterusedatevalid;
    }

    public String getValidtype() {
        return validtype;
    }

    public void setValidtype(String validtype) {
        this.validtype = validtype == null ? null : validtype.trim();
    }

    public String getCanoverduerefund() {
        return canoverduerefund;
    }

    public void setCanoverduerefund(String canoverduerefund) {
        this.canoverduerefund = canoverduerefund == null ? null : canoverduerefund.trim();
    }

    public String getCanrefund() {
        return canrefund;
    }

    public void setCanrefund(String canrefund) {
        this.canrefund = canrefund == null ? null : canrefund.trim();
    }

    public String getRefundapplytimebeforevalidendday() {
        return refundapplytimebeforevalidendday;
    }

    public void setRefundapplytimebeforevalidendday(String refundapplytimebeforevalidendday) {
        this.refundapplytimebeforevalidendday = refundapplytimebeforevalidendday == null ? null : refundapplytimebeforevalidendday.trim();
    }

    public Integer getRefundcharge() {
        return refundcharge;
    }

    public void setRefundcharge(Integer refundcharge) {
        this.refundcharge = refundcharge;
    }

    public String getRefundchargetype() {
        return refundchargetype;
    }

    public void setRefundchargetype(String refundchargetype) {
        this.refundchargetype = refundchargetype == null ? null : refundchargetype.trim();
    }
}